%global srcname fsfe-reuse

Name:           reuse
Version:        0.3.4
Release:        1%{?dist}
Summary:        A tool for compliance with the REUSE Initiative recommendations
License:        GPLv3+ and CC-BY-SA
Url:            https://git.fsfe.org/reuse/reuse
Source0:        %pypi_source %{srcname}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gettext
BuildRequires:  pandoc
# Tests
BuildRequires:  %{py3_dist Jinja2}
BuildRequires:  %{py3_dist chardet}
BuildRequires:  %{py3_dist python-debian}
BuildRequires:  %{py3_dist pytest}
Requires:       python3 >= 3.5
Requires:       %{py3_dist chardet}
Requires:       %{py3_dist python-debian}
Recommends:     git
Recommends:     %{py3_dist pygit2}
BuildArch:      noarch

%description
A tool for compliance with the REUSE Initiative recommendations.  Essentially,
it is a linter that checks for a project's compliance, and a compiler that
generates a project's bill of materials.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
%find_lang %{name}

%check
LC_ALL=C.UTF-8 LANG=C.UTF-8 PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-3 tests/

%files -f %{name}.lang
%license LICENSES/GPL-3.0.txt LICENSES/CC-BY-SA-4.0.txt
%doc README.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/fsfe_reuse*egg-info/

%changelog
* Mon Apr 22 2019 Carmen Bianca Bakker <carmenbianca@fedoraproject.org> - 0.3.4-1
- New upstream version.
- Copyright lines can now start with © in addition to Copyright.

* Fri Nov 23 2018 Carmen Bianca Bakker <carmenbianca@fedoraproject.org> - 0.3.3-1
- Initial package.
